Facebook Transcript API

Get the transcript of a Facebook post. Can be a post or reel. You can only get a transcript if the video is under 2 minutes.

1 creditper request
GET
/v1/facebook/post/transcript
curl "https://api.scrapecreators.com/v1/facebook/post/transcript" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49999939403,
  "credits_charged": 1,
  "transcript": "We're fishing
bite x2
Best bait
on this pole
something else
There's a chance
can get a
mythic pistol
You have to
all game
still won't
Nuh uh
literally
the spawn
on it
1 in 1000
like that
Well watch
right here
Gonna do it
stream
to finding
pistol
to still lose with it
That was very
very much
honey
thank you very much"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

Facebook post URL

cache_max_age
string

If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (1 credit). See the Caching page for details.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d